Arch MergeWalls/en: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Updating to match new version of source page)
 
(13 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
{{Template:UnfinishedDocu}} [[Category:UnfinishedDocu]]

{{GuiCommand/en|Name=Arch MergeWalls|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Merge Walls|Shortcut=|SeeAlso=}}
{{Docnav
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Check|Check]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}

{{GuiCommand
|Name=Arch MergeWalls
|MenuLocation=Arch → Utilities → Merge Walls
|Workbenches=[[Arch_Workbench|Arch]]
|SeeAlso=[[Arch_Wall|Arch Wall]]
}}


==Description==
==Description==


The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.


==Usage==


# Select two or more walls. The walls must have the same height, width and alignment.
==How to use==
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.


==Notes==


* [[Arch_Add|Arch Add]] can merge walls even if they have different heights, widths and alignments.


== Scripting ==


{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{clear}}

<languages/>
This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
base = joinWalls(walls, delete=False)
}}

Example:
{{Code|code=
import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()

base = Arch.joinWalls([Wall1, Wall2])
}}


{{Docnav
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Check|Check]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:21, 29 April 2024

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls. The walls must have the same height, width and alignment.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Notes

  • Arch Add can merge walls even if they have different heights, widths and alignments.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])